Main Menu

SyFlex for LightWave3D 11.6.x

The wonderful people over at Syflex, after some requests from LightWave users including myself, have updated their Syflex for LightWave3D plug-in to work with 11.6 and up. This is great news for people who own Syflex and have been stuck working with it in previous versions of LW as it wasn’t compatible with 11.x in general.

They are also running a very awesome deal right now. For 200 bucks you can get Syflex for LightWave3D. Normally its $2000!

How awesome is that? Very! But the sale ends very soon, so don’t miss this opportunity to grab it.

Check out the details here. http://www.syflex.biz/buyLW.html



« (Previous News)



Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.